For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
    • File Picker
          • The Folder object
          • GET/folders
          • POST/folders
          • GET/folders/{id}
          • GET/folders/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsFolders

/folders

Beta
POST
/filestorage/v1/folders
POST
/api/filestorage/v1/folders
$curl -X POST https://api.merge.dev/api/filestorage/v1/folders \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "e021f7a7-74fc-4487-8e12-14180c92d3b7",
4 "remote_id": "14",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "name": "R&D",
8 "folder_url": "https://drive.com/1234",
9 "size": 2738000,
10 "description": "All things R&D related at Merge!",
11 "parent_folder": "47ce474c-asdf-34a2-754r-629f799f7d31",
12 "drive": "31ce474c-asdf-34a2-754r-629f799f7d12",
13 "permissions": [
14 {
15 "id": "105b9265-0d52-4e5c-bb88-0cb681ec77f6",
16 "remote_id": "102895",
17 "created_at": "2020-03-31T00:00:00Z",
18 "modified_at": "2020-06-20T00:00:00Z",
19 "user": "21ce474c-asdf-34a2-754r-629f799f7d12",
20 "group": null,
21 "type": "USER",
22 "roles": [
23 "OWNER"
24 ],
25 "remote_data": null
26 },
27 {
28 "id": "a77ac1b4-a04f-4baa-a388-de3c0c173e1c",
29 "remote_id": null,
30 "created_at": "2020-03-31T00:00:00Z",
31 "modified_at": "2020-06-20T00:00:00Z",
32 "user": null,
33 "group": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
34 "type": "GROUP",
35 "roles": [
36 "READ"
37 ],
38 "remote_data": null
39 }
40 ],
41 "remote_created_at": "2024-02-02T00:00:00Z",
42 "remote_updated_at": "2024-06-10T00:00:00Z",
43 "remote_was_deleted": true,
44 "field_mappings": {
45 "organization_defined_targets": {
46 "custom_key": "custom_value"
47 },
48 "linked_account_defined_targets": {
49 "custom_key": "custom_value"
50 }
51 },
52 "remote_data": [
53 {
54 "path": "/folders",
55 "data": null
56 }
57 ]
58 },
59 "warnings": [
60 {
61 "title": "Unrecognized Field",
62 "detail": "An unrecognized field, age, was passed in with request data.",
63 "problem_type": "UNRECOGNIZED_FIELD",
64 "source": {
65 "pointer": "/age"
66 },
67 "block_merge_link": true,
68 "raw_error": "string",
69 "error_code": 1
70 }
71 ],
72 "errors": [
73 {
74 "title": "Missing Required Field",
75 "detail": "custom_fields is a required field on model.",
76 "problem_type": "MISSING_REQUIRED_FIELD",
77 "source": {
78 "pointer": "/model/custom_fields"
79 },
80 "block_merge_link": true,
81 "raw_error": "string",
82 "error_code": 1
83 }
84 ],
85 "logs": [
86 {
87 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
88 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
89 "log_summary": {
90 "url": "www.exampleintegration.com/api/v1/exampleapi",
91 "method": "POST",
92 "status_code": 200
93 }
94 }
95 ]
96}

Creates a Folder object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/folders

Next

/folders/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Folder object is used to represent a collection of files and/or folders in the workspace. Could be within a drive, if it exists.

Usage Example

Fetch from the GET /api/filestorage/v1/folders endpoint and view their folders.

Response

modelobject

Description

The Folder object is used to represent a collection of files and/or folders in the workspace. Could be within a drive, if it exists.

Usage Example

Fetch from the GET /api/filestorage/v1/folders endpoint and view their folders.

warningslist of objects
errorslist of objects
logslist of objects